%define shortname taskd

Name:           taskserver
Version:        1.0.0
Release:        %mkrel 8
Summary:        Server for multi-user and multi-client access to taskwarrior data
Group:          Office/Organizer
License:        MIT
URL:            https://taskwarrior.org/
Source0:        https://taskwarrior.org/download/%{shortname}-%{version}.tar.gz
Patch0:         taskserver-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(uuid)


%description
Taskserver is a sync server for taskwarrior. It allows you to access and
maintain your taskwarrior tasks for multiple users from multiple clients.

%prep
%autosetup -p1 -n %{shortname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/%{shortname}
%{_bindir}/taskdctl
%{_mandir}/man1/%{shortname}.1*
%{_mandir}/man5/taskdrc.5*


%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 1.0.0-8.mga10
+ Revision: 2213057
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 1.0.0-7.mga9
+ Revision: 1833423
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-6.mga8
+ Revision: 1517388
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-5.mga7
+ Revision: 1301326
- Mageia 7 Mass Rebuild

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.0.0-4.mga6
+ Revision: 921839
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 739927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 689727
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 remmy <remmy> 1.0.0-1.mga5
+ Revision: 613003
- imported package taskserver

